require("camera")
require("slideStates")
require("slideDefinitions")

local desiredW = 1366
local desiredH = 768

function love.load()
	love.window.setMode(0, 0, {})
	--love.window.setMode(desiredW * 0.5, desiredH * 0.5, {})
end

function love.update(dt)
	cameraUpdate(dt)
	if currentSlideIndex == 0 then
		nextSlide()
	end
end

function love.draw()
	love.graphics.push()

	local curW, curH, curFlags = love.window.getMode()

	local curScale = 1.0
	if curW / desiredW < curH / desiredH then
		curScale = curW / desiredW
	else
		curScale = curH / desiredH
	end
	love.graphics.scale(curScale)

	love.graphics.translate(-cameraState.currentX, -cameraState.currentY)

	local slideIdx = 1
	while slideIdx <= #allSlides do
		drawSlide(slideIdx)
		slideIdx = slideIdx + 1
	end

	love.graphics.pop()
end

function love.keypressed(key, scancode, isrepeat)
	if isrepeat then return end
	if key == "[" then previousSlide() end
	if key == "]" then nextSlide() end
	if key == "space" then
		slidePlay("toggle")
	end
end
