--imageSlide("resources/Magenta.png", 500, 1)
--imageSlide("resources/Cyan.png", 2000, 0.5)


-- ffmpeg -i in.mp4 -filter:v "crop=out_w:out_h:x:y"  -c:v libtheora -c:a libvorbis -q:v 10 out.mp4
-- ffmpeg -i input.mp4 -q:v 10 -vf scale=-1:768 -c:v libtheora -c:a libvorbis output-resized.ogv
-- ffmpeg -i output-resized.ogv -vf "pad=width=1366:height=768:x=467:y=0:color=black" -c:v libtheora -c:a libvorbis -q:v 10 output.ogv
--videoSlide("resources/VID_20170921_222535.mp4.ogv", 3000, 0.5)
--videoSlide("output.ogv", 4000, 0.5)
--imageSlide("resources/Cyan.png", 5000, 0.5)

local width = 1366
local height = 768

imageSlide("resources/00AspectRatioTest.png", -2000, 0.1)
imageSlide("resources/01LittleWorld.png", 0, 1.0)
imageSlide("resources/02SpiltBeer.png", height * 1, 0.01)
imageSlide("resources/03Calendar.png", height * 2, 0.01)
imageSlide("resources/03CalendarZoom.png", height * 2 , 0.01, width * 2)
imageSlide("resources/03Problems.png", height * 2, 0.01, width * 4)
imageSlide("resources/03Blind.png", height * 2, 0.11, -width * 2)
imageSlide("resources/04Controller.png", height * 3, 0.01)
--imageSlide("resources/05ControllerPint.png", height * 4, 0.01)
imageSlide("resources/06ControllerPintSellotape.png", height * 4, 0.01)
dummySlide(height * 4 + 500, 0.5)
imageSlide("resources/06V0.jpg", height * 4, 0.01, width * 2)
imageSlide("resources/07FieldTest.jpg", height * 7, 0.001)
imageSlide("resources/08Fusion.png", height * 8, 0.3)
imageSlide("resources/09Printing.jpg.png", height * 9, 0.5)
imageSlide("resources/10Sensors.jpg", height * 10, 0.5)
imageSlide("resources/11Electronics.jpg", height * 11, 0.5)
imageSlide("resources/12Battery.png", height * 12, 0.5)
imageSlide("resources/13Wifi.png", height * 13, 0.5)
videoSlide("resources/14FirstDemo.ogv", height * 14, 0.5)
imageSlide("resources/10Sensors.jpg", height * 15, 0.5)
imageSlide("resources/15Maya.png", height * 16, 0.5)

function makeComboSlide(y, transitionTime)
	local slide = {}

	slide.videoA = love.graphics.newVideo("resources/inVR-resized.ogv")
	slide.videoB = love.graphics.newVideo("resources/VID_20180404_194622-resized.ogv")
	slide.transitionTime = transitionTime
	slide.y = y
	slide.x = 0

	local scale = 0.55
	local xScale = 0.4
	local yScale = 0.5
	slide.drawFunc = function()
		love.graphics.draw(slide.videoA, 0, y, 0, 0.55, 0.55)
		love.graphics.draw(slide.videoB, width * xScale, y + height * yScale, 0, 0.55, 0.55)
	end

	local resetVideos = function()
		local aOffset = 35
		local skip = 5
		slide.videoA:seek(aOffset + skip)
		slide.videoB:seek(skip)
	end
	resetVideos()

	slide.playFunc = function(cmd)
		if cmd == "stop" then
			slide.videoA:pause()
			slide.videoB:pause()
			resetVideos()
			return
		end

		if slide.videoA:isPlaying() then
			slide.videoA:pause()
			slide.videoB:pause()
		else
			slide.videoA:play()
			slide.videoB:play()
		end
	end

	allSlides[#allSlides + 1] = slide
end

makeComboSlide( height * 17, 1.0 )
--makeComboSlide(0, 0.1)

local combo = 0
imageSlide("resources/17Features0.png", height * 20 + combo, 0.01)
imageSlide("resources/18Features1.png", height * 21 + combo, 0.01)
imageSlide("resources/19Features2.png", height * 22 + combo, 0.01)
imageSlide("resources/20Features3.png", height * 23 + combo, 0.01)
imageSlide("resources/21Features4.png", height * 24 + combo, 0.01)


imageSlide("resources/22Todo.png", height * 25 + combo, 0.01)
imageSlide("resources/22Todo2.png", height * 26 + combo, 0.01)
