currentSlideIndex = 0
allSlides = {}

function imageSlide(name, y, transitionTime, x)
	print("Loading " .. name)
	if x == nil then x = 0 end

	allSlides[#allSlides + 1] = {
		imageResource = love.graphics.newImage(name),
		y = y,
		x = x,
		transitionTime = transitionTime
	}
	print("Done")
	return allSlides[#allSlides]
end
function dummySlide(y, transitionTime, x)
	if x == nil then x = 0 end
	allSlides[#allSlides + 1] = {
		y = y,
		x = x,
		transitionTime = transitionTime
	}
	return allSlides[#allSlides]
end


function videoSlide(name, y, transitionTime, x)
	if x == nil then x = 0 end
	print("Loading " .. name)
	videoResource = love.graphics.newVideo(name)
	print("Done")
	local videoToggle = function(cmd)
		if cmd == "stop" then
			videoResource:pause()
			videoResource:rewind()
			return
		end

		if videoResource:isPlaying() then
			videoResource:pause()
		else
			videoResource:play()
		end
	end

	allSlides[#allSlides + 1] = {
		videoResource = videoResource,
		y = y,
		x = x,
		transitionTime = transitionTime,
		playFunc = videoToggle
	}
	return allSlides[#allSlides]
end

function nextSlide()
	if currentSlideIndex == #allSlides then return end

	if allSlides[currentSlideIndex] and allSlides[currentSlideIndex].playFunc then
		allSlides[currentSlideIndex].playFunc("stop")
	end

	currentSlideIndex = currentSlideIndex + 1
	setupCameraTargets()
end
function previousSlide()
	if currentSlideIndex == 1 then return end

	if allSlides[currentSlideIndex] and allSlides[currentSlideIndex].playFunc then
		allSlides[currentSlideIndex].playFunc("stop")
	end

	currentSlideIndex = currentSlideIndex - 1
	setupCameraTargets()
end
function slidePlay()
	if allSlides[currentSlideIndex].playFunc then
		allSlides[currentSlideIndex].playFunc()
	end
end

function setupCameraTargets()
	cameraState.targetY= allSlides[currentSlideIndex].y
	cameraState.targetX= allSlides[currentSlideIndex].x

	cameraState.startX = cameraState.currentX
	cameraState.startY = cameraState.currentY

	cameraState.currentTime = 0
	cameraState.transitionTime = allSlides[currentSlideIndex].transitionTime
end

function drawSlide(index)
	if allSlides[index].drawFunc then
		allSlides[index].drawFunc()
		return
	end

	if allSlides[index].imageResource then
		love.graphics.draw( allSlides[index].imageResource, allSlides[index].x, allSlides[index].y )
	end
	if allSlides[index].videoResource then
		love.graphics.draw( allSlides[index].videoResource, allSlides[index].x, allSlides[index].y )
	end
end


